OfuzApiClientBase
public class OfuzApiClientBase
| Field Summary | |
|---|---|
| mixed | |
| mixed | |
| mixed | |
| mixed | |
| mixed | |
| Method Summary | |
|---|---|
| void | __construct(str key, str format) |
| void | |
| void | |
| void | getKey() |
| void | |
| void | getParam(mixed var, string parameter) return request parameter value |
| void | |
| void | |
| void | setAuth(mixed key) |
| void | setFormat(mixed format) |
| void | setMethod(mixed method) |
| void | setObject(mixed bool) |
| void | setParam(mixed var, mixed value, string parameter) set a parameter value |
| void | setResponse(mixed response) |
| array | submit() Submit the Request to the API |
public mixed $api_url = "http://www.ofuz.net/api.php"
public mixed $params = Array()
public mixed $postParams = array()
public mixed $response_object
public mixed $return_object = false
public void __construct(str key, str format)
public void clearRequest()
public void getFormat()
public void getKey()
public void getObject()
public void getParam(mixed var, string parameter)
return request parameter value
public void getResponse()
public void requestQuery()
public void setAuth(mixed key)
public void setFormat(mixed format)
public void setMethod(mixed method)
public void setObject(mixed bool)
public void setParam(mixed var, mixed value, string parameter)
set a parameter value
public void setResponse(mixed response)
public array submit()
Submit the Request to the API
This will basically process the user request. Checks for user authentication and adds data to the database if there is no data error occur. Copyright 2002 - 2007 SQLFusion LLC